extern "C" 
{	
#include <stdlib.h>
/* Don't Touch Mark */
void __pure_virtual() { while(1); }
void __cxa_pure_virtual() { while(1); }
/* Don't Touch Mark */

  void * __dynamic_cast(void *a,void *b,void *c,void *d) {
    return(0x0);
    }
  void * __rtti_user(void *a,void *b) {
    return(0x0);
    }
  void * __rtti_class(void *a,void *b,void *c,void *d) {
    return(0x0);
    }
  void * __rtti_si(void *a,void *b,void *c) {
    return(0x0);
    }
  void __eprintf(void *a,void *b,void *c,void *d) {
    return;
    }
  }

#include <libcpp.h>

typedef char c;

template class __default_alloc_template<0, 0>;

/* Don't Touch Mark */
void * operator new[](unsigned size)
{
    return malloc(size);
}

void operator delete[](void * ptr)
{
    free(ptr);

    return;
}

void * operator new(unsigned size)
{
    return malloc(size);
}

void operator delete(void * ptr)
{
    free(ptr);

    return;
}
/* End Don't Touch */
